import HashMap from '@ohos.util.HashMap';
import List from '@ohos.util.List';
import bundleManager from '@ohos.bundle.bundleManager';
import { NativeSituationEventHandler } from "./f";
import common from '@ohos.app.ability.common';
export interface RiskSituationEventHandler {
    onClientEvent(riskSituation: RiskSituation, event: number, subEvent: number, msg: string): void;
    onServerEvent(riskSituation: RiskSituation, action: string, msg: string): void;
}
export interface RiskSituation {
    getRiskApp(): RiskApp;
    setSituationEventHandler(handler: RiskSituationEventHandler): void;
    generateBusinessSign(sid: string, overrideConfig: HashMap<string, string>): Promise<string>;
    scheduleUpdateSituation(delayMS: number, overrideConfig: HashMap<string, string>): void;
    beginScene(scene: string): void;
    endScene(): void;
}
export interface RiskApp {
    getRiskSdk(): RiskSdk;
    getAppId(): string;
    init(defaultConfig: HashMap<string, string>): void;
    getDegradeToken(overrideConfig: HashMap<string, string>): Promise<string>;
    getToken(overrideConfig?: HashMap<string, string>): Promise<string>;
    isDegradeToken(token: string): boolean;
    getRiskSituation(): RiskSituation;
}
export declare class RiskSdk {
    static KEY_USER_ID: string;
    static KEY_USER_EMAIL: string;
    static KEY_USER_PHONE: string;
    static KEY_USER_EXTEND1: string;
    static KEY_USER_EXTEND2: string;
    static KEY_URL: string;
    static KEY_ALGORITHM: string;
    static KEY_TIMEOUT_MS: string;
    static KEY_DELAY_MS_TIME: string;
    static KEY_SITUATION_URL: string;
    static setupInstance(context: common.ApplicationContext): Promise<RiskSdk>;
    getRiskApp(appId: string): n1;
    static setExtraHeaders(l2: HashMap<string, string>): void;
    static getExtraHeaders(): HashMap<string, string>;
}
declare class m1 implements RiskSdk, NativeSituationEventHandler {
    static c1: m1;
    private static d1;
    private static e1;
    packageInfo: List<bundleManager.BundleInfo>;
    mCookie: number;
    cache: HashMap<string, n1>;
    static f1(config: HashMap<string, string>): string[];
    static setupInstance(context: common.ApplicationContext): Promise<RiskSdk>;
    static setExtraHeaders(headers: HashMap<string, string>): void;
    static getExtraHeaders(): HashMap<string, string>;
    static h1(config: HashMap<string, string>): void;
    static i1(appId: string): void;
    getToken(appId: string, config: HashMap<string, string>): Promise<string>;
    getDegradeToken(appId: string, config: HashMap<string, string>): Promise<string>;
    init(appId: string, config: HashMap<string, string>): void;
    getRiskApp(appId: string): n1;
    j1(key: string): string;
    onSituationClientEvent(appId: string, event: number, f2: number, msg: string): void;
    onSituationServerEvent(appId: string, c2: string): void;
    static g1(context: common.ApplicationContext, bundleInfo: bundleManager.BundleInfo): void;
    isDegradeToken(appId: string, token: string): boolean;
    readyToCallback(): void;
    q1(appId: string, config: HashMap<string, string>, a2: string): any;
    scheduleUpdateSituation(appId: string, config: HashMap<string, string>, delayMS: number): void;
    scene: string;
    s1(appId: string, scene: string): void;
    endScene(appId: string): void;
}
declare class n1 implements RiskApp, RiskSituation {
    private appId;
    private t1;
    handler: RiskSituationEventHandler;
    constructor(appId: string, w1: m1);
    getRiskApp(): RiskApp;
    o1(action: object): void;
    setSituationEventHandler(handler: RiskSituationEventHandler): void;
    generateBusinessSign(t1: string, u1: HashMap<string, string>): Promise<string>;
    scheduleUpdateSituation(delayMS: number, s1?: HashMap<string, string>): void;
    beginScene(scene: string): void;
    endScene(): void;
    getToken(q1?: HashMap<string, string>): Promise<string>;
    getDegradeToken(p1: HashMap<string, string>): Promise<string>;
    isDegradeToken(token: string): boolean;
    getRiskSituation(): RiskSituation;
    getRiskSdk(): m1;
    getAppId(): string;
    init(o1: HashMap<string, string>): void;
}
export {};
